Bug 1736496 - python-eyed3: FTBFS in Fedora rawhide/f31
Summary: python-eyed3: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-eyed3
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841 1740847
TreeView+ depends on / blocked
 
Reported: 2019-08-01 18:35 UTC by Fedora Release Engineering
Modified: 2019-09-14 16:32 UTC (History)
5 users (show)

Fixed In Version: python-eyed3-0.8-8.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-14 00:08:51 UTC


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2019-08-01 18:35 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 18:35 UTC, Fedora Release Engineering
no flags Details
state.log (477 bytes, text/plain)
2019-08-01 18:35 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 18:35:30 UTC
python-eyed3 failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36637113


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix python-eyed3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-eyed3 will be orphaned. Before branching of Fedora 32,
python-eyed3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 18:35:33 UTC
Created attachment 1598749 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 18:35:35 UTC
Created attachment 1598750 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 18:35:42 UTC
Created attachment 1598751 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:52:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 17:58:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Miro Hrončok 2019-08-22 14:22:59 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, after the side tag is merged.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Comment 7 Fedora Update System 2019-09-02 07:14:55 UTC
FEDORA-2019-8dde2368c9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8dde2368c9

Comment 8 Fedora Update System 2019-09-02 23:56:28 UTC
python-eyed3-0.8-8.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8dde2368c9

Comment 9 Fedora Update System 2019-09-14 00:08:51 UTC
python-eyed3-0.8-8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-14 16:32:37 UTC
python-eyed3-0.8-8.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.